> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /glassdoor/companies/search

> Search Glassdoor (glassdoor.com) companies by name, job title, industry sector or industry. Returns companies with their overall and category ratings, industry, sector, headquarters and open job count.

**Price:** 10 credits per 10 results



## OpenAPI

````yaml /openapi/jobs.json post /api/glassdoor/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/glassdoor/companies/search:
    post:
      tags:
        - /glassdoor
      summary: /glassdoor/companies/search
      description: >-
        Search Glassdoor (glassdoor.com) companies by name, job title, industry
        sector or industry. Returns companies with their overall and category
        ratings, industry, sector, headquarters and open job count.


        **Price:** 10 credits per 10 results
      operationId: __api_glassdoor_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GlassdoorCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GlassdoorSearchCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GlassdoorCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          default: ''
        job_title:
          type: string
          default: ''
        sector:
          anyOf:
            - $ref: '#/components/schemas/GlassdoorSector'
            - type: 'null'
        industries:
          items:
            $ref: '#/components/schemas/GlassdoorIndustry'
          type: array
          default: []
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    GlassdoorSearchCompany:
      properties:
        '@type':
          type: string
          default: GlassdoorSearchCompany
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        short_name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        headquarters:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        job_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        ratings:
          anyOf:
            - $ref: '#/components/schemas/GlassdoorCompanyRatings'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GlassdoorSector:
      type: string
      enum:
        - legal
        - aerospace_and_defense
        - agriculture
        - arts_entertainment_and_recreation
        - pharmaceutical_and_biotechnology
        - management_and_consulting
        - construction_repair_and_maintenance
        - personal_consumer_services
        - education
        - financial_services
        - government_and_public_administration
        - healthcare
        - information_technology
        - insurance
        - manufacturing
        - media_and_communication
        - nonprofit_and_ngo
        - energy_mining_and_utilities
        - real_estate
        - restaurants_and_food_service
        - retail_and_wholesale
        - telecommunications
        - transportation_and_logistics
        - hotels_and_travel
        - human_resources_and_staffing
    GlassdoorIndustry:
      type: string
      enum:
        - accounting_and_tax
        - legal
        - aerospace_and_defense
        - animal_production
        - fishery
        - farm_support
        - floral_nursery
        - crop_production
        - forestry_logging_and_timber_operations
        - audiovisual
        - bars_and_nightclubs
        - gambling
        - culture_and_entertainment
        - photography
        - sports_and_recreation
        - ticket_sales
        - biotech_and_pharmaceuticals
        - advertising_and_public_relations
        - architectural_and_engineering_services
        - building_and_personnel_services
        - office_supply_and_copy_stores
        - commercial_printing
        - business_consulting
        - membership_organizations
        - research_and_development
        - security_and_protective
        - hr_consulting
        - wholesale
        - vehicle_repair_and_maintenance
        - commercial_equipment_services
        - construction
        - general_repair_and_maintenance
        - consumer_product_rental
        - event_services
        - beauty_and_wellness
        - laundry_and_dry_cleaning
        - property_management
        - pet_care_and_veterinary
        - colleges_and_universities
        - education_and_training_services
        - primary_and_secondary_schools
        - preschools_and_child_care_services
        - banking_and_lending
        - financial_transaction_processing
        - stock_exchanges
        - national_agencies
        - municipal_agencies
        - state_and_regional_agencies
        - health_care_services_and_hospitals
        - computer_hardware_development
        - enterprise_software_and_network_solutions
        - internet_and_web_services
        - information_technology_support_services
        - insurance_agencies_and_brokerages
        - insurance_carriers
        - chemical_manufacturing
        - electronics_manufacturing
        - food_and_beverage_manufacturing
        - health_care_products_manufacturing
        - machinery_manufacturing
        - metal_and_mineral_manufacturing
        - transportation_equipment_manufacturing
        - wood_and_paper_manufacturing
        - film_production
        - publishing
        - broadcast_media
        - video_game_publishing
        - mining_and_metals
        - grantmaking_and_charitable_foundations
        - religious_institutions
        - civic_and_social_services
        - energy_and_utilities
        - real_estate
        - catering_and_food_service_contractors
        - convenience_stores
        - restaurants_and_cafes
        - auctions_and_galleries
        - automotive_parts_and_accessories_stores
        - beauty_and_personal_accessories_stores
        - consumer_electronics_and_appliances_stores
        - department_clothing_and_shoe_stores
        - drug_and_health_stores
        - food_and_beverage_stores
        - general_merchandise_and_superstores
        - gift_novelty_and_souvenir_stores
        - home_furniture_and_housewares_stores
        - media_and_entertainment_stores
        - other_retail_stores
        - pet_and_pet_supplies_stores
        - sporting_goods_stores
        - toy_and_hobby_stores
        - vehicle_dealers
        - cable_internet_and_telephone_providers
        - telecommunications_services
        - parking_and_valet
        - rail_transportation
        - shipping_and_trucking
        - car_and_truck_rental
        - airlines_airports_and_air_transportation
        - taxi_and_car_services
        - hotels_and_resorts
        - travel_agencies
        - grocery_stores
        - investment_and_asset_management
        - consumer_product_manufacturing
        - debt_relief
        - ambulance_and_medical_transportation
        - dental_clinics
        - hospitals_and_health_clinics
        - medical_testing_and_clinical_laboratories
        - nursing_care_facilities
        - staffing_and_subcontracting
        - software_development
        - law_firms
        - legal_services
        - waste_management
        - textile_and_apparel_manufacturing
        - music_and_sound_production
        - translation_and_linguistic_services
        - private_households
        - biotechnology
        - pharmaceutical
        - real_estate_agencies
        - marine_transportation
    GlassdoorCompanyRatings:
      properties:
        '@type':
          type: string
          default: GlassdoorCompanyRatings
        overall:
          anyOf:
            - type: number
            - type: 'null'
        career_opportunities:
          anyOf:
            - type: number
            - type: 'null'
        compensation_and_benefits:
          anyOf:
            - type: number
            - type: 'null'
        culture_and_values:
          anyOf:
            - type: number
            - type: 'null'
        diversity_and_inclusion:
          anyOf:
            - type: number
            - type: 'null'
        senior_management:
          anyOf:
            - type: number
            - type: 'null'
        work_life_balance:
          anyOf:
            - type: number
            - type: 'null'
        recommend_to_friend:
          anyOf:
            - type: number
            - type: 'null'
        ceo_approval:
          anyOf:
            - type: number
            - type: 'null'
        business_outlook:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````